Bug 189650 - [PATCH] graphics/netpbm: update to 10.35.92
Summary: [PATCH] graphics/netpbm: update to 10.35.92
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 09:50 UTC by Paul J Murphy
Modified: 2014-05-12 20:52 UTC (History)
1 user (show)

See Also:


Attachments
netpbm-10.35.92.patch (1.46 KB, patch)
2014-05-11 09:50 UTC, Paul J Murphy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul J Murphy 2014-05-11 09:50:00 UTC
- Update to 10.35.92 (released 2014-03-29)
- Add shebangfix

See http://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/doc/HISTORY for change history.

Port maintainer (dinoex@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-11 09:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-12 12:39:28 UTC
Author: dinoex
Date: Mon May 12 11:39:23 2014
New Revision: 353806
URL: http://svnweb.freebsd.org/changeset/ports/353806
QAT: https://qat.redports.org/buildarchive/r353806/

Log:
  - update to 10.35.92
  PR:		189650
  Submitted by:	Paul J Murphy

Modified:
  head/graphics/netpbm/Makefile
  head/graphics/netpbm/distinfo

Modified: head/graphics/netpbm/Makefile
==============================================================================
--- head/graphics/netpbm/Makefile	Mon May 12 11:39:13 2014	(r353805)
+++ head/graphics/netpbm/Makefile	Mon May 12 11:39:23 2014	(r353806)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	netpbm
-PORTVERSION=	10.35.89
-PORTREVISION=	1
+PORTVERSION=	10.35.92
 CATEGORIES=	graphics
 MASTER_SITES=	SF/netpbm/super_stable/${PORTVERSION} \
 		${MASTER_SITE_LOCAL:S/$/:man/}
@@ -20,7 +19,7 @@ LIB_DEPENDS=	libtiff.so:${PORTSDIR}/grap
 		libjasper.so:${PORTSDIR}/graphics/jasper \
 		libxml2.so:${PORTSDIR}/textproc/libxml2
 
-USES=		gmake perl5
+USES=		gmake perl5 shebangfix
 CFLAGS+=	-DPNG_DEPSTRUCT= -Iutil
 MAKE_ENV=	LN="${LN}" RANLIB="${RANLIB}"
 MAKEFILE=	GNUmakefile
@@ -28,6 +27,9 @@ MAKEFILE2=	Makefile
 INSTALL_TARGET=	install.bin install.lib install.data install-dev
 USE_LDCONFIG=	yes
 
+SHEBANG_FILES=	editor/pnmflip editor/pnmquant editor/ppmfade \
+		editor/ppmquant editor/ppmshadow generator/ppmrainbow
+
 OPTIONS_DEFINE=	X11 MANPAGES
 OPTIONS_SUB=	yes
 

Modified: head/graphics/netpbm/distinfo
==============================================================================
--- head/graphics/netpbm/distinfo	Mon May 12 11:39:13 2014	(r353805)
+++ head/graphics/netpbm/distinfo	Mon May 12 11:39:23 2014	(r353806)
@@ -1,4 +1,4 @@
-SHA256 (netpbm-10.35.89.tgz) = 139800273c5c4e8241577d96808467bc500bdbe6cd9d29ca03c696c60b265fd3
-SIZE (netpbm-10.35.89.tgz) = 2551127
+SHA256 (netpbm-10.35.92.tgz) = 077aa99a63a626be498d098f6144f962e2f6562138ea7da71cbc1667a4124742
+SIZE (netpbm-10.35.92.tgz) = 2557334
 SHA256 (netpbm-manpages-2013-03-09.tgz) = 430a9c5becbc55e2fed832fa40d9fb050ac6ad426cbf39dc73af5d6be37f8cd6
 SIZE (netpbm-manpages-2013-03-09.tgz) = 1464320
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2014-05-12 20:52:11 UTC
State Changed
From-To: open->closed

committed, thanks.